// SP62a: a program for the formation of multiple alignments in the ICMAUS framework.

// This program is released to the public domain without any restrictions.
// You can redistribute it and/or modify it as you wish.

// In any publication that refers to any version of this program, please
// acknowledge J G Wolff as the originator of the program. 

// A description of this program may be found in "Syntax, parsing and
// production of natural language in a framework of information compression
// by multiple alignment, unification and search", J G Wolff, Journal of Universal
// Computer Science 6(8), 781-829, 2000. See also
// www.cognitionresearch.org.uk/sp.htm.

// Please retain this notice on all versions.

// Dr J G Wolff, www.CognitionResearch.org.uk. Email: jgw@cognitionresearch.org.uk.

// April 2005.

// SP62a.cpp : Defines the entry point for the console application.
//

#include "SP62_head.h"

int main(int argc, char* argv[])
{
	// Make sure the program has been invoked with the correct arguments.

	// NOTE: If this program is developed in some environment other than
	// MS Visual C++, then `SP_main()' should probably become `main()' and the
	// following lines of code (up to `SP_main()') should be moved to
	// the beginning of main().

	if (argc < 3)
	{
		fprintf(stderr, "Usage:\n\t%s <in-file> <parameters-file> <out-file> "
						"<latex-file>\n", argv[0]) ;
		return 1;
	}

	in_filename = *++argv ; // name of file containing element
                           // syntax and descriptions.
	parameters_filename = *++argv ; // Name of file containing parameters.
	out_filename = *++argv ; // name of file where element
                            // syntax and descriptions are written.
	latex_filename = *++argv ; // name of file where the best
							// sequence found is written.
	SP_main() ;
	return 0 ;
}


